<?php

class Bop5moresharevb5_Api_Page extends vB_Api_Extensions
{
  public $product = 'bop5moresharevb5';
  public $version = '1.0.0';
  public $developer = 'BirdOPrey5';
  public $title = 'More Share Options VB5 by BOP5';
  public $minver = '5.0.0 Alpha 1';
  public $maxver = '5.9.9';
  public $infourl = '';
  public $checkurl = '';
  public $AutoInstall = 1;
  public $extensionOrder = 9;
  
	public function fetchPageById($result, $pageid, $routeData = array())
	{
	  // $result = $page
  
	  $result['mso_enable'] = true;
	  
	  //Remove "/core" from bburl to get base url.  
    $bop5_base_url = vB::getDatastore()->getOption('bburl');
	  $bop5_base_url = str_ireplace ('/core' , '' , $bop5_base_url);
	  $result['mso_url']   = ($bop5_base_url . $result['url']);
	  $result['mso_urlen'] = urlencode($bop5_base_url . $result['url']);
	   
    //Facebook Logic Start
    if (vB::getDatastore()->getOption('bop5msot_fbtype') == 1) //Standard Like
    {
       $result['mso_fbwidth'] = 320;
       $result['mso_fbverb'] = 'like';
       $result['mso_fbcount'] = 'standard';
    }
    elseif (vB::getDatastore()->getOption('bop5msot_fbtype') == 2) //Button Count Like
    {
       $result['mso_fbwidth'] = 90;
       $result['mso_fbverb'] = 'like';
       $result['mso_fbcount'] = 'button_count';
    }
    elseif (vB::getDatastore()->getOption('bop5msot_fbtype') == 3) //Standard Recommend
    {
       $result['mso_fbwidth'] = 375;
       $result['mso_fbverb'] = 'recommend';
       $result['mso_fbcount'] = 'standard';
    }
    elseif (vB::getDatastore()->getOption('bop5msot_fbtype') == 4) //Button Count Recommend
    {
       $result['mso_fbwidth'] = 130;
       $result['mso_fbverb'] = 'recommend';
       $result['mso_fbcount'] = 'button_count';
    }
    elseif (vB::getDatastore()->getOption('bop5msot_fbtype') == 10) //Old Style Share
    {
       $result['mso_fbwidth'] = 95;
       $result['mso_fbverb'] = false;
       $result['mso_fbcount'] = 'button_count';
    }
    if (vB::getDatastore()->getOption('bop5msot_fbsend') AND vB::getDatastore()->getOption('bop5msot_fbtype') < 5)
    {
       $result['mso_fbwidth'] += 55;
    }  

    if (vB::getDatastore()->getOption('bop5msot_fbwidth'))
    {
       $result['mso_fbwidth'] = vB::getDatastore()->getOption('bop5msot_fbwidth');     
    } 
    //Facebook Logic End

    //Twitter Logic Start
    if (vB::getDatastore()->getOption('bop5msot_twtype') == 1) //Tweet with Count
    {
       $result['mso_twcount'] = 'horizontal';
       $result['mso_twowidth'] = 95;
    }  
    elseif (vB::getDatastore()->getOption('bop5msot_twtype') == 2) //Tweet No Count
    {
       $result['mso_twcount'] = 'none';
       $result['mso_twowidth'] = 75;
    }  
    //Twitter Logic End

    //Google+1 Logic Start
    if (vB::getDatastore()->getOption('bop5msot_gtype') == 1) //Bubble Count
    {
       $result['mso_gwidth'] = false;
       $result['mso_gowidth'] = 70;
       $result['mso_gtype'] = 'bubble';
    } 
    elseif (vB::getDatastore()->getOption('bop5msot_gtype') == 2) //Inline
    {
       $result['mso_gwidth'] = 200;
       $result['mso_gowidth'] = 200;
       $result['mso_gtype'] = 'inline';
    } 
    elseif (vB::getDatastore()->getOption('bop5msot_gtype') == 3) //No Count
    {
       $result['mso_gwidth'] = false;
       $result['mso_gowidth'] = 50;
       $result['mso_gtype'] = 'none';
    } 
    //Google+1 Logic End
       
	  return $result;
	} 
}


?>
